#
# spec file for package asterisk16-gui (Version 2.0)
#
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel asterisk16 asterisk16-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip imap-devel imap-lib info insserv irqbalance kernel-default klogd krb5 less libacl libgsm libgsm-devel libattr libcom_err libgcc41 libgsm libgsm-devel libidn libidn-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libogg libpri libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio limal limal-bootloader limal-perl linux-kernel-headers m4 make man mdadm mkinitrd mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch pcre perl perl-Bootloader perl-gettext permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline reiserfs rpm sed spandsp speex speex-devel strace sysvinit tar tcpd texinfo timezone udev unixODBC unixODBC-devel unzip util-linux vim zaptel zaptel-kmp-default zlib zlib-devel

Name:           asterisk16-gui
URL:            http://www.asterisk.org
%define       build_h323 0
Summary:        The Asterisk GUI 
Version:        2.0
Release:        14.33
License:        BSD License and BSD-like, GNU General Public License (GPL)
PreReq:         /usr/sbin/useradd
Group:          Productivity/Telephony/Servers
Source0:	asterisk-gui.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:	asterisk16 >= 1.6.0.5
BuildRequires:  asterisk16 libgsm-devel



%description
Asterisk-GUI is a framework for the creation of graphical interfaces for
configuring Asterisk.  Some sample graphical interfaces for specific vertical
markets are included for reference or for actual use and extension.

Note: The GUI _does_ currently work with Asterisk 1.6.x and trunk!! (2.0)

Documentation is available on the Asterisk home page
(http://www.asterisk.org) and on the Asterisk wiki
(http://www.voip-info.org/wiki-Asterisk).



Authors:
--------
    Mark Spencer <markster@digium.com>


%prep
%setup  -n asterisk-gui


%build
./bootstrap.sh
%configure
%{__make} %{?_smp_mflags}


%install

%{__make} install DESTDIR=%{buildroot}
cp manager.conf.web %{buildroot}/etc/asterisk/manager.conf
cp http.conf.web %{buildroot}/etc/asterisk/http.conf


%pre  
#cp /etc/asterisk/manager.conf /etc/asterisk/manager.conf.orig
#cp /etc/asterisk/http.conf /etc/asterisk/http.conf.orig

%post  
   
%preun  
%stop_on_removal  
if [ $1 -eq 0 ]; then  
    /sbin/service asterisk16 stop &> /dev/null || :  
    /sbin/chkconfig --del asterisk16  
fi  

%postun
%insserv_cleanup
#cp /etc/asterisk/manager.conf.orig /etc/asterisk/manager.conf
#cp /etc/asterisk/http.conf.orig /etc/asterisk/http.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_localstatedir}/lib/asterisk/scripts
%dir %{_localstatedir}/lib/asterisk/static-http/config
%dir %{_localstatedir}/lib/asterisk/static-http/config/images
%dir %{_localstatedir}/lib/asterisk/static-http/config/js
%dir %{_localstatedir}/lib/asterisk/static-http/config/stylesheets
%{_localstatedir}/lib/asterisk/scripts/dldsoundpack    
%{_localstatedir}/lib/asterisk/scripts/editmisdn.sh    
%{_localstatedir}/lib/asterisk/scripts/editzap.sh      
%{_localstatedir}/lib/asterisk/scripts/gui_sysinfo     
%{_localstatedir}/lib/asterisk/scripts/listfiles       
%{_localstatedir}/lib/asterisk/scripts/mastercsvexists 
%{_localstatedir}/lib/asterisk/scripts/restorebackup   
%{_localstatedir}/lib/asterisk/scripts/takebackup      
%{_localstatedir}/lib/asterisk/static-http/config/asterisklogs.html
%{_localstatedir}/lib/asterisk/static-http/config/backup.html      
%{_localstatedir}/lib/asterisk/static-http/config/bulkadd.html     
%{_localstatedir}/lib/asterisk/static-http/config/callingrules.html
%{_localstatedir}/lib/asterisk/static-http/config/callparking.html 
%{_localstatedir}/lib/asterisk/static-http/config/cfgbasic.html    
%{_localstatedir}/lib/asterisk/static-http/config/cli.html         
%{_localstatedir}/lib/asterisk/static-http/config/dialplans.html   
%{_localstatedir}/lib/asterisk/static-http/config/digital.html     
%{_localstatedir}/lib/asterisk/static-http/config/directory.html   
%{_localstatedir}/lib/asterisk/static-http/config/emailsettings.html
%{_localstatedir}/lib/asterisk/static-http/config/feditor.html      
%{_localstatedir}/lib/asterisk/static-http/config/flipadvanced.html 
%{_localstatedir}/lib/asterisk/static-http/config/followme.html     
%{_localstatedir}/lib/asterisk/static-http/config/guialert.html     
%{_localstatedir}/lib/asterisk/static-http/config/home.html         
%{_localstatedir}/lib/asterisk/static-http/config/iax.html          
%{_localstatedir}/lib/asterisk/static-http/config/images/1.gif      
%{_localstatedir}/lib/asterisk/static-http/config/images/accordion-icon.gif
%{_localstatedir}/lib/asterisk/static-http/config/images/add.gif           
%{_localstatedir}/lib/asterisk/static-http/config/images/adv-v.gif         
%{_localstatedir}/lib/asterisk/static-http/config/images/ar_down.png       
%{_localstatedir}/lib/asterisk/static-http/config/images/ar_right.png      
%{_localstatedir}/lib/asterisk/static-http/config/images/arrow_blank.png   
%{_localstatedir}/lib/asterisk/static-http/config/images/arrow_down.png    
%{_localstatedir}/lib/asterisk/static-http/config/images/arrow_up.png      
%{_localstatedir}/lib/asterisk/static-http/config/images/asterisk-arrow-down.png
%{_localstatedir}/lib/asterisk/static-http/config/images/asterisk-arrow-up.png  
%{_localstatedir}/lib/asterisk/static-http/config/images/asterisk_green.gif     
%{_localstatedir}/lib/asterisk/static-http/config/images/asterisk_red.gif       
%{_localstatedir}/lib/asterisk/static-http/config/images/bandwidth.gif          
%{_localstatedir}/lib/asterisk/static-http/config/images/cancel.gif             
%{_localstatedir}/lib/asterisk/static-http/config/images/checkbox_blank.gif     
%{_localstatedir}/lib/asterisk/static-http/config/images/delete.gif             
%{_localstatedir}/lib/asterisk/static-http/config/images/delete_circle.png      
%{_localstatedir}/lib/asterisk/static-http/config/images/digiumlogo.gif         
%{_localstatedir}/lib/asterisk/static-http/config/images/dots.gif               
%{_localstatedir}/lib/asterisk/static-http/config/images/down_arr.gif           
%{_localstatedir}/lib/asterisk/static-http/config/images/edit.gif               
%{_localstatedir}/lib/asterisk/static-http/config/images/favicon.ico            
%{_localstatedir}/lib/asterisk/static-http/config/images/home.png               
%{_localstatedir}/lib/asterisk/static-http/config/images/iaxtel.jpg             
%{_localstatedir}/lib/asterisk/static-http/config/images/loading.gif            
%{_localstatedir}/lib/asterisk/static-http/config/images/ngt.jpg                
%{_localstatedir}/lib/asterisk/static-http/config/images/panel.png              
%{_localstatedir}/lib/asterisk/static-http/config/images/refresh.png            
%{_localstatedir}/lib/asterisk/static-http/config/images/simplesignal.jpg       
%{_localstatedir}/lib/asterisk/static-http/config/images/slice-v.gif            
%{_localstatedir}/lib/asterisk/static-http/config/images/split-v.gif            
%{_localstatedir}/lib/asterisk/static-http/config/images/tick.gif               
%{_localstatedir}/lib/asterisk/static-http/config/images/title_gradient.gif     
%{_localstatedir}/lib/asterisk/static-http/config/images/tooltip_info.gif       
%{_localstatedir}/lib/asterisk/static-http/config/images/voicepulse.gif         
%{_localstatedir}/lib/asterisk/static-http/config/incoming.html                 
%{_localstatedir}/lib/asterisk/static-http/config/index.html                    
%{_localstatedir}/lib/asterisk/static-http/config/js/astman.js                  
%{_localstatedir}/lib/asterisk/static-http/config/js/guiversion.js              
%{_localstatedir}/lib/asterisk/static-http/config/js/index.js                   
%{_localstatedir}/lib/asterisk/static-http/config/js/jquery.date_input.js       
%{_localstatedir}/lib/asterisk/static-http/config/js/jquery.js                  
%{_localstatedir}/lib/asterisk/static-http/config/js/jquery.tooltip.js
%{_localstatedir}/lib/asterisk/static-http/config/js/pbx.js
%{_localstatedir}/lib/asterisk/static-http/config/js/tooltip.js
%{_localstatedir}/lib/asterisk/static-http/config/language.html
%{_localstatedir}/lib/asterisk/static-http/config/meetme.html
%{_localstatedir}/lib/asterisk/static-http/config/menuprompts_record.html
%{_localstatedir}/lib/asterisk/static-http/config/menuprompts_upload.html
%{_localstatedir}/lib/asterisk/static-http/config/menus.html
%{_localstatedir}/lib/asterisk/static-http/config/misdn.html
%{_localstatedir}/lib/asterisk/static-http/config/mohfiles.html
%{_localstatedir}/lib/asterisk/static-http/config/password.html
%{_localstatedir}/lib/asterisk/static-http/config/preferences.html
%{_localstatedir}/lib/asterisk/static-http/config/queues.html
%{_localstatedir}/lib/asterisk/static-http/config/reboot.html
%{_localstatedir}/lib/asterisk/static-http/config/reset_defaults.html
%{_localstatedir}/lib/asterisk/static-http/config/ringgroups.html
%{_localstatedir}/lib/asterisk/static-http/config/sip.html
%{_localstatedir}/lib/asterisk/static-http/config/status.html
%{_localstatedir}/lib/asterisk/static-http/config/stylesheets/cfgbasic.css
%{_localstatedir}/lib/asterisk/static-http/config/stylesheets/schwing.css
%{_localstatedir}/lib/asterisk/static-http/config/sysinfo.html
%{_localstatedir}/lib/asterisk/static-http/config/timeintervals.html
%{_localstatedir}/lib/asterisk/static-http/config/trunks_analog.html
%{_localstatedir}/lib/asterisk/static-http/config/trunks_digital.html
%{_localstatedir}/lib/asterisk/static-http/config/trunks_sps.html
%{_localstatedir}/lib/asterisk/static-http/config/trunks_voip.html
%{_localstatedir}/lib/asterisk/static-http/config/upload_form.html
%{_localstatedir}/lib/asterisk/static-http/config/users.html
%{_localstatedir}/lib/asterisk/static-http/config/vmgroups.html
%{_localstatedir}/lib/asterisk/static-http/config/voicemail.html
%{_localstatedir}/lib/asterisk/static-http/config/welcome.html
%{_localstatedir}/lib/asterisk/static-http/index.html
%config(noreplace) /etc/asterisk/manager.conf
%config /etc/asterisk/http.conf


%changelog -n asterisk16-gui
* Thu Apr 14 2009 - vittorio@vitsoft.bz
- Modified for asterisk-gui 2.0
